//
//  AppDelegate.swift
//  UseCoreFramework
//
//  Created by Nguyễn Ý on 9/25/20.
//  Copyright © 2020 Nguyễn Ý. All rights reserved.
//

import UIKit
import GadevCore

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {



    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        
        // Color
        let color = GadevCore.Color.frameworkColor
        
        // Network
        let url = URL(string: "https://gadev.net")!
        let networking = GadevCore.Networking.Manager()
        networking.loadData(from: url) { (result) in
            print(result)
        }
        
//        networking.sendData(to: url, body: nil) { (result) in
//            
//        }
        
        
        
        return true
    }

    // MARK: UISceneSession Lifecycle

    func application(_ application: UIApplication, configurationForConnecting connectingSceneSession: UISceneSession, options: UIScene.ConnectionOptions) -> UISceneConfiguration {
        // Called when a new scene session is being created.
        // Use this method to select a configuration to create the new scene with.
        return UISceneConfiguration(name: "Default Configuration", sessionRole: connectingSceneSession.role)
    }

    func application(_ application: UIApplication, didDiscardSceneSessions sceneSessions: Set<UISceneSession>) {
        // Called when the user discards a scene session.
        // If any sessions were discarded while the application was not running, this will be called shortly after application:didFinishLaunchingWithOptions.
        // Use this method to release any resources that were specific to the discarded scenes, as they will not return.
    }


}

